/*
Theme Name: Fresh Theme S02
Theme URI: https://freshdigital.co.th/web-design/
Template: hello-elementor
Author: Fresh Digital
Author URI: https://freshdigital.co.th/
Description: Theme for Fresh Theme S02
Version: 1.0.1
Updated: 2025-09-11 09:16:39

*/

a.contact-detail {
    color: inherit;
}

.primary-color {
    color: var( --e-global-color-primary );
}

.secondary-color {
    color: var( --e-global-color-secondary );
}

.accent-color {
    color: var( --e-global-color-accent );
}

header #head-sticky,
header #head-sticky > div  {
    transition: all 0.2s ease-out;
}

header #head-sticky.head-sticky-active {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 9999;
    box-shadow: 0 0 10px #00000087;
    min-height: auto !important;
}

header #head-sticky.head-sticky-active > div {
    padding: 7px 0 !important;
}

header #head-sticky .elementor-widget-theme-site-logo img {
    transition: all 0.2s ease-out;
}

header #head-sticky.head-sticky-active .elementor-widget-theme-site-logo img {
    max-width: 100px !important;
}

.page-banner:before {
    z-index: 1;
}

.page-banner:after {
    content: "";
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background: linear-gradient(90deg, #495b0a 0%, var( --e-global-color-primary ) 30%, transparent 80%);
    z-index: 0;
}

.w-full {
    display: inline-block;
    width: 100%;
    line-height: 1.5;
}

.counter-style .elementor-counter-number-wrapper {
    display: inline-flex !important;
}

.counter-style .elementor-counter-title {
    text-align: center !important;
    line-height: 1 !important;
}

.elementor-widget-text-editor a {
    color: inherit;
    text-decoration: underline !important;
}

.list-col-2 ul.elementor-icon-list-items {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 0 15px;
}

.homepage-slider .elementor-slides .swiper-slide-inner {
    width: 96%;
    max-width: 1200px;
    padding-left: 0 !important;
    padding-right: 0 !important;
}

.homepage-slider .elementor-background-overlay {
    background: linear-gradient(90deg, var( --e-global-color-primary ) 0%, transparent 50%);
}

.blog-post-style .premium-blog-post-container {
    position: relative;
}

.blog-post-style .premium-blog-entry-meta .premium-blog-post-time {
    position: absolute !important;
    top: 15px;
    right: 15px;
    background-color: var(--e-global-color-primary);
    color: #fff !important;
    padding: 8px;
}

.blog-post-style .premium-blog-entry-meta .premium-blog-post-time i {
    display: none;
}

.blog-post-style .premium-blog-entry-meta .premium-blog-post-time span {
    color: inherit !important;
}

.service-gallery .swiper-pagination-bullets {
    bottom: -10px !important;
}

.service-gallery .swiper-pagination-bullet {
    border: 1px solid var(--e-global-color-accent);
}

.max-w-100 {
    max-width: 100% !important;
}

.footer-menu-list ul.elementor-nav-menu {
    display: grid;
    grid-template-columns: 1fr 1fr ;
}

.footer-menu-list ul.elementor-nav-menu > li {
    position: relative;
    display: flex;
    align-items: center;
    gap: 8px;
}

.footer-menu-list ul.elementor-nav-menu > li:before {
   content: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' height='16' width='10' viewBox='0 0 320 512'%3E%3C!--!Font Awesome Free 6.5.1 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2023 Fonticons, Inc.--%3E%3Cpath d='M285.5 273L91.1 467.3c-9.4 9.4-24.6 9.4-33.9 0l-22.7-22.7c-9.4-9.4-9.4-24.5 0-33.9L188.5 256 34.5 101.3c-9.3-9.4-9.3-24.5 0-33.9l22.7-22.7c9.4-9.4 24.6-9.4 33.9 0L285.5 239c9.4 9.4 9.4 24.6 0 33.9z' fill='%23fff'/%3E%3C/svg%3E");
   transform: scale(0.6);
}

@media screen and (max-width:767px) {
    .counter-style .elementor-counter-number-wrapper {
        justify-content: center;
        width: 100%;
    }
}

@media screen and (min-width:768px) {
    .counter-style .elementor-counter-title {
        text-align: left !important;
    }
}